### Method

# GimpUi ProcedureDialog get_int_combo

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_int_combo (
      GimpProcedureDialog* dialog,
      const gchar* property,
      GimpIntStore* store
    )

#### Description [src]

Creates a new `GimpLabelIntWidget` for `property` which must necessarily be an integer or boolean property. This must be used instead of `gimp_procedure_dialog_get_widget()` when you want to create a combo box from an integer property.

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

#### Parameters

`property`

  Type: `const gchar*`

  Name of the int property to build a combo for. It must be a property of the `GimpProcedure` `dialog` has been created for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`store`

  Type: `GimpIntStore`

  The `GimpIntStore` which will be used.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkWidget`

The `GtkWidget` representing `property`. The object belongs to `dialog` and must not be freed.

The returned data is owned by the instance.